Bug 205358 - [RHEL3] getent returns nothing if the host starts by a number [135422]
Summary: [RHEL3] getent returns nothing if the host starts by a number [135422]
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: glibc   
(Show other bugs)
Version: 3.8
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-06 10:50 UTC by Jose Plans
Modified: 2016-11-24 15:03 UTC (History)
2 users (show)

Fixed In Version: RHBA-2007-0471
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-11 18:49:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch from 2.3.3-71 supposed to fix the problem. [135422] (1.09 KB, patch)
2006-09-06 10:50 UTC, Jose Plans
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0471 normal SHIPPED_LIVE glibc bug fix update 2007-06-07 22:12:42 UTC

Description Jose Plans 2006-09-06 10:50:26 UTC
Description of problem:

When running getent to retrieve its IP address we noticed that if you run it
against a system that has a hostname starting with numbers.  For eg.
123host.lehman.com.. it will not return the correct IP address and exits with a
status of 2.  We tested this on RHEL4 and noticed that this is fixed in this
version.  Was this fixed in later versions of RHEL3 also?  This is a widely used
command for shell scripts and the like.  Thanks!

[root@tkodclxgiprd001 kickstart]# getent hosts 380g4-cbtst
[root@tkodclxgiprd001 kickstart]# echo $?
2

[root@njenglx001 tmp]# uname -r
2.6.9-34.ELsmp
[root@njenglx001 tmp]# getent hosts 380g4-cbtst
10.15.243.42    380g4-cbtst.lehman.com


Version-Release number of selected component (if applicable):
glibc-2.3.2-95.44

How reproducible:
Always.

Steps to Reproduce:
1. set in /etc/hosts a host begining by a number
2. getent hosts <that host>

Actual results:
no output.

Expected results:
host ip.

Additional info:
Fixed on 2.3.3-71

Comment 1 Jose Plans 2006-09-06 10:50:27 UTC
Created attachment 135644 [details]
patch from 2.3.3-71 supposed to fix the problem. [135422]

Comment 9 Red Hat Bugzilla 2007-06-11 18:49:41 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0471.html


Comment 10 Issue Tracker 2007-07-06 16:33:30 UTC
Verified this is fixed in the errata version of glibc-common

glibc-common-2.3.2-95.50

Thanks Frank.

Internal Status set to 'Resolved'
Status set to: Closed by Client

This event sent from IssueTracker by stewart.smith@lehman.com 
 issue 101124


Note You need to log in before you can comment on or make changes to this bug.